* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

html {
  font-size: 62.5%;
}

.flower {
  display: flex;
  justify-content: center;
  align-items: center;

  width: 100%;
  height: 100vh;
  background-color: rgb(236,232,226);
  perspective: 100rem;
}

.petals {
  position: relative;
  width: 40rem;
  height: 40rem;
  transform: rotateX(40deg);
}

.petal {
  position: absolute;
  top: 5rem;
  left: 5rem;

  width: 15rem;
  height: 15rem;
  transform-origin: bottom right;
}

.petal::before{
  position: absolute;
  content: "";
  width: 100%;
  height: 100%;
  border-radius: 50% 50% 0 50%;
  background: linear-gradient(#fff,#ff0);
  box-shadow: .3rem .3rem .3rem #ddd;
  transform: skew(23deg, 23deg);
  transform-origin: bottom right;
}

.petal:nth-child(1){
  transform: rotateZ(0);
}

.petal:nth-child(2){
  transform: rotateZ(30deg);
}
.petal:nth-child(3){
  transform: rotateZ(60deg);
}
.petal:nth-child(4){
  transform: rotateZ(90deg);
}
.petal:nth-child(5){
  transform: rotateZ(120deg);
}
.petal:nth-child(6){
  transform: rotateZ(150deg);
}
.petal:nth-child(7){
  transform: rotateZ(180deg);
}
.petal:nth-child(8){
  transform: rotateZ(210deg);
}
.petal:nth-child(9){
  transform: rotateZ(240deg);
}
.petal:nth-child(10){
  transform: rotateZ(270deg);
}
.petal:nth-child(11){
  transform: rotateZ(300deg);
}
.petal:nth-child(12){
  transform: rotateZ(330deg);
}

.circle {
  position: absolute;
  top: 50%;
  left: 50%;

  width: 5rem;
  height: 5rem;
  border: .1rem solid #ddd;
  border-radius: 50%;
  background-color: #fff;
  transform: translate(-50%, -50%);
}

.stem {
  position: absolute;
  width: 2rem;
  height: 60rem;
  background-image: linear-gradient(
    to right,
    rgb(149,235,92),
    green,
    rgb(149,235,92)
  );
  transform: translateY(50%) rotateZ(7deg);
  transform-origin: top;
  z-index: -1;
}